diff --git a/drivers/storage/floppy/floppy/ioctl.c b/drivers/storage/floppy/floppy/ioctl.c
index e6073a9..74a3517 100644
--- a/drivers/storage/floppy/floppy/ioctl.c
+++ b/drivers/storage/floppy/floppy/ioctl.c
@@ -75,7 +75,6 @@ DeviceIoctlPassive(PDRIVE_INFO DriveInfo, PIRP Irp)
     ULONG Code = Stack->Parameters.DeviceIoControl.IoControlCode;
     BOOLEAN DiskChanged;
     PMOUNTDEV_NAME Name;
-    PMOUNTDEV_UNIQUE_ID UniqueId;
 
     TRACE_(FLOPPY, "DeviceIoctl called\n");
     Irp->IoStatus.Status = STATUS_SUCCESS;
@@ -257,54 +256,27 @@ DeviceIoctlPassive(PDRIVE_INFO DriveInfo, PIRP Irp)
         Irp->IoStatus.Information = 0;
         break;
 
-    case IOCTL_MOUNTDEV_QUERY_UNIQUE_ID:
-        if(OutputLength < sizeof(MOUNTDEV_UNIQUE_ID))
-        {
-            Irp->IoStatus.Status = STATUS_BUFFER_TOO_SMALL;
-            Irp->IoStatus.Information = 0;
-            break;
-        }
-
-        UniqueId = Irp->AssociatedIrp.SystemBuffer;
-        UniqueId->UniqueIdLength = wcslen(&DriveInfo->DeviceNameBuffer[0]) * sizeof(WCHAR);
-
-        if(OutputLength < FIELD_OFFSET(MOUNTDEV_UNIQUE_ID, UniqueId) + UniqueId->UniqueIdLength)
-        {
-            Irp->IoStatus.Status = STATUS_BUFFER_OVERFLOW;
-            Irp->IoStatus.Information = sizeof(MOUNTDEV_UNIQUE_ID);
-            break;
-        }
-
-        RtlCopyMemory(UniqueId->UniqueId, &DriveInfo->DeviceNameBuffer[0],
-                      UniqueId->UniqueIdLength);
-
-        Irp->IoStatus.Status = STATUS_SUCCESS;
-        Irp->IoStatus.Information = FIELD_OFFSET(MOUNTDEV_UNIQUE_ID, UniqueId) + UniqueId->UniqueIdLength;
-        break;
-
     case IOCTL_MOUNTDEV_QUERY_DEVICE_NAME:
-        if(OutputLength < sizeof(MOUNTDEV_NAME))
-        {
+        if (OutputLength < sizeof(MOUNTDEV_NAME)) {
             Irp->IoStatus.Status = STATUS_BUFFER_TOO_SMALL;
-            Irp->IoStatus.Information = 0;
+            Irp->IoStatus.Information = sizeof(MOUNTDEV_NAME);
             break;
         }
 
         Name = Irp->AssociatedIrp.SystemBuffer;
-        Name->NameLength = wcslen(&DriveInfo->DeviceNameBuffer[0]) * sizeof(WCHAR);
+        Name->NameLength = wcslen(&DriveInfo->SymLinkBuffer[0]) * sizeof(WCHAR);
 
-        if(OutputLength < FIELD_OFFSET(MOUNTDEV_NAME, Name) + Name->NameLength)
-        {
+        if (OutputLength < sizeof(USHORT) + Name->NameLength) {
             Irp->IoStatus.Status = STATUS_BUFFER_OVERFLOW;
             Irp->IoStatus.Information = sizeof(MOUNTDEV_NAME);
             break;
         }
 
-        RtlCopyMemory(Name->Name, &DriveInfo->DeviceNameBuffer[0],
+        RtlCopyMemory(Name->Name, &DriveInfo->SymLinkBuffer[0],
                       Name->NameLength);
 
         Irp->IoStatus.Status = STATUS_SUCCESS;
-        Irp->IoStatus.Information = FIELD_OFFSET(MOUNTDEV_NAME, Name) + Name->NameLength;
+        Irp->IoStatus.Information = sizeof(USHORT) + Name->NameLength;
         break;
 
     default:
diff --git a/ntoskrnl/fstub/disksup.c b/ntoskrnl/fstub/disksup.c
index 3198481..dfdbf0c 100644
--- a/ntoskrnl/fstub/disksup.c
+++ b/ntoskrnl/fstub/disksup.c
@@ -6,7 +6,6 @@
 * PROGRAMMERS:     Alex Ionescu (alex.ionescu@reactos.org)
 *                  Eric Kohl
 *                  Casper S. Hornstrup (chorns@users.sourceforge.net)
-*                  Pierre Schweitzer
 */
 
 /* INCLUDES ******************************************************************/
@@ -16,6 +15,9 @@
 #include <debug.h>
 #include <internal/hal.h>
 
+/* DEPRECATED FUNCTIONS ******************************************************/
+
+#if 1
 const WCHAR DiskMountString[] = L"\\DosDevices\\%C:";
 
 #define AUTO_DRIVE         MAXULONG
